Update Knowledge Base
curl --request PUT \
--url https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Knowledge Base Title",
"description": "Knowledge Base Description",
"retrain_frequency_minutes": 1440,
"docs": [
{
"type": "url",
"payload": {
"urls_to_include": [
{
"url": "<string>",
"subpaths_only": false,
"recursive": false
}
],
"urls_to_exclude": [
{
"url": "<string>",
"subpaths_only": false,
"recursive": false
}
]
}
}
],
"files": [
{
"id": "5f7b1b1b1b1b1b1b1b1b1b1b"
}
]
}
'import requests
url = "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}"
payload = {
"title": "Knowledge Base Title",
"description": "Knowledge Base Description",
"retrain_frequency_minutes": 1440,
"docs": [
{
"type": "url",
"payload": {
"urls_to_include": [
{
"url": "<string>",
"subpaths_only": False,
"recursive": False
}
],
"urls_to_exclude": [
{
"url": "<string>",
"subpaths_only": False,
"recursive": False
}
]
}
}
],
"files": [{ "id": "5f7b1b1b1b1b1b1b1b1b1b1b" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Knowledge Base Title',
description: 'Knowledge Base Description',
retrain_frequency_minutes: 1440,
docs: [
{
type: 'url',
payload: {
urls_to_include: [{url: '<string>', subpaths_only: false, recursive: false}],
urls_to_exclude: [{url: '<string>', subpaths_only: false, recursive: false}]
}
}
],
files: [{id: '5f7b1b1b1b1b1b1b1b1b1b1b'}]
})
};
fetch('https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5f7b1b1b1b1b1b1b1b1b1b1b",
"title": "Knowledge Base Title",
"description": "Knowledge Base Description",
"status": "trained",
"docs": [
{
"type": "url",
"payload": {
"urls_to_include": [
{
"url": "<string>",
"subpaths_only": false,
"recursive": false
}
],
"urls_to_exclude": [
{
"url": "<string>",
"subpaths_only": false,
"recursive": false
}
]
}
}
],
"files": [
{
"id": "5f7b1b1b1b1b1b1b1b1b1b1b",
"name": "some_file.json",
"type": "file",
"createdAt": "2020-10-05T00:00:00.000Z",
"updatedAt": "2020-10-05T00:00:00.000Z"
}
]
}{
"detail": "Knowledge base not found"
}Knowledge Bases
Update Knowledge Base
Update Knowledge Base
PUT
/
kb
/
v1
/
knowledge-bases
/
{id}
Update Knowledge Base
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Knowledge Base ID
Body
application/json
This is the title of the Knowledge Base.
Example:
"Knowledge Base Title"
Example:
"Knowledge Base Description"
Automatic retrain interval in minutes. Set retrain_frequency_minutes = 0 to disable automatic retraining. Allowed values: multiples of 60
Example:
1440
Here you can upload URLs
Show child attributes
Show child attributes
List of Files to be associated with the Knowledge Base.
Show child attributes
Show child attributes
Response
Successful response
Example:
"5f7b1b1b1b1b1b1b1b1b1b1b"
This is the title of the Knowledge Base.
Example:
"Knowledge Base Title"
Example:
"Knowledge Base Description"
Available options:
draft, created, queued, training, trained Example:
"trained"
Here you can upload URLs
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I